package kandata.launcher;

import java.awt.Component;
import java.awt.Image;
import javax.swing.*;


class SiteRenderer extends DefaultListCellRenderer {
	JLabel label = new JLabel();
	/** 指定の値を表示するように設定されたコンポーネントを返します。 */
	public Component getListCellRendererComponent(JList list, Object value, int index, boolean isSelected, boolean cellHasFocus) {
		Site site = (Site) value;
		JLabel label = (JLabel) super.getListCellRendererComponent(list, value, index, isSelected, cellHasFocus);
		//System.out.println(label.getClass());
		label.setText("<html>"+site.getName()+"<br><font color=\"blue\" size=\"-1\"><u>"+site.getUrl()+"</u></font>");
		Image icon = site.getIcon();
		if (icon == null) icon = Site.getUnregistedImage();
		label.setIcon(new ImageIcon(icon));
//		label.setOpaque(false);		// 透明
		return label;
	}
}

